# Serialized Form

## Package org.apache.avro

### Exception Class org.apache.avro.AvroMissingFieldException

class AvroMissingFieldException extends AvroRuntimeException implements Serializable

#### Serialized Fields

##### chainOfFields

    List<Schema.Field> chainOfFields

### Exception Class org.apache.avro.AvroRemoteException

class AvroRemoteException extends Exception implements Serializable

#### Serialized Fields

##### value

    Object value

### Exception Class org.apache.avro.AvroRuntimeException

class AvroRuntimeException extends RuntimeException implements Serializable

### Exception Class org.apache.avro.AvroTypeException

class AvroTypeException extends AvroRuntimeException implements Serializable

### Exception Class org.apache.avro.InvalidAvroMagicException

class InvalidAvroMagicException extends IOException implements Serializable

### Exception Class org.apache.avro.InvalidNumberEncodingException

class InvalidNumberEncodingException extends IOException implements Serializable

### Class org.apache.avro.Schema

class Schema extends JsonProperties implements Serializable

serialVersionUID:
  1L

#### Serialization Methods

##### writeReplace

protected Object writeReplace()

#### Serialized Fields

##### hashCode

    int hashCode

##### logicalType

    LogicalType logicalType

##### type

    Schema.Type type

### Exception Class org.apache.avro.SchemaBuilderException

class SchemaBuilderException extends AvroRuntimeException implements Serializable

### Exception Class org.apache.avro.SchemaParseException

class SchemaParseException extends AvroRuntimeException implements Serializable

### Exception Class org.apache.avro.SchemaValidationException

class SchemaValidationException extends Exception implements Serializable

### Exception Class org.apache.avro.SystemLimitException

class SystemLimitException extends AvroRuntimeException implements Serializable

### Exception Class org.apache.avro.UnknownAvroCodecException

class UnknownAvroCodecException extends IOException implements Serializable

### Exception Class org.apache.avro.UnresolvedUnionException

class UnresolvedUnionException extends AvroRuntimeException implements Serializable

#### Serialized Fields

##### unionSchema

    Schema unionSchema

##### unresolvedDatum

    Object unresolvedDatum

## Package org.apache.avro.file

### Exception Class org.apache.avro.file.DataFileWriter.AppendWriteException

class AppendWriteException extends RuntimeException implements Serializable

## Package org.apache.avro.message

### Exception Class org.apache.avro.message.BadHeaderException

class BadHeaderException extends AvroRuntimeException implements Serializable

### Exception Class org.apache.avro.message.MissingSchemaException

class MissingSchemaException extends AvroRuntimeException implements Serializable

## Package org.apache.avro.path

### Exception Class org.apache.avro.path.TracingAvroTypeException

class TracingAvroTypeException extends AvroTypeException implements Serializable

#### Serialized Fields

##### reversePath

    List<PathElement> reversePath

### Exception Class org.apache.avro.path.TracingClassCastException

class TracingClassCastException extends ClassCastException implements Serializable

#### Serialized Fields

##### cause

    ClassCastException cause

##### customCoderUsed

    boolean customCoderUsed

##### datum

    Object datum

##### expected

    Schema expected

##### reversePath

    List<PathElement> reversePath

### Exception Class org.apache.avro.path.TracingNullPointException

class TracingNullPointException extends NullPointerException implements Serializable

#### Serialized Fields

##### cause

    NullPointerException cause

##### customCoderUsed

    boolean customCoderUsed

##### expected

    Schema expected

##### reversePath

    List<PathElement> reversePath

## Package org.apache.avro.specific

### Exception Class org.apache.avro.specific.SpecificExceptionBase

class SpecificExceptionBase extends AvroRemoteException implements Externalizable

#### Serialization Methods

##### readExternal

public abstract void readExternal(ObjectInput in) throws IOException

Throws:
  `IOException`

##### writeExternal

public abstract void writeExternal(ObjectOutput out) throws IOException

Throws:
  `IOException`

### Class org.apache.avro.specific.SpecificFixed

class SpecificFixed extends Object implements Externalizable

#### Serialization Methods

##### readExternal

public abstract void readExternal(ObjectInput in) throws IOException

Throws:
  `IOException`

##### writeExternal

public abstract void writeExternal(ObjectOutput out) throws IOException

Throws:
  `IOException`

### Class org.apache.avro.specific.SpecificRecordBase

class SpecificRecordBase extends Object implements Externalizable

#### Serialization Methods

##### readExternal

public void readExternal(ObjectInput in) throws IOException

Throws:
  `IOException`

##### writeExternal

public void writeExternal(ObjectOutput out) throws IOException

Throws:
  `IOException`

## Package org.apache.avro.util

### Class org.apache.avro.util.TimePeriod

class TimePeriod extends Object implements Serializable

#### Serialized Fields

##### days

    long days

##### millis

    long millis

##### months

    long months

### Class org.apache.avro.util.Utf8

class Utf8 extends Object implements Externalizable

#### Serialization Methods

##### readExternal

public void readExternal(ObjectInput in) throws IOException, ClassNotFoundException

Throws:
  `IOException`
  `ClassNotFoundException`

##### writeExternal

public void writeExternal(ObjectOutput out) throws IOException

Throws:
  `IOException`

## Package org.apache.avro.util.springframework

### Class org.apache.avro.util.springframework.ConcurrentReferenceHashMap.Segment

class Segment extends ReentrantLock implements Serializable

#### Serialized Fields

##### count

    AtomicInteger count

The total number of references contained in this segment. This includes chained references and references that have been garbage collected but not purged.

##### initialSize

    int initialSize

##### referenceManager

    ConcurrentReferenceHashMap<K,V>.ReferenceManager referenceManager

##### references

    ConcurrentReferenceHashMap.Reference<K,V>[] references

Array of references indexed using the low order bits from the hash. This property should only be set along with `resizeThreshold`.

##### resizeThreshold

    int resizeThreshold

The threshold when resizing of the references should occur. When `count` exceeds this value references will be resized.